Bug 9154 - On item edit page, highlight row of item being edited
Summary: On item edit page, highlight row of item being edited
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-27 19:34 UTC by Owen Leonard
Modified: 2013-05-23 06:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot showing the desired behavior (22.80 KB, image/png)
2012-11-27 19:34 UTC, Owen Leonard
Details
Bug 9154 - On item edit page, highlight row of item being edited (4.75 KB, patch)
2012-11-27 19:38 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 9154 - On item edit page, highlight row of item being edited (4.78 KB, patch)
2012-11-30 00:40 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9154 - On item edit page, highlight row of item being edited (5.07 KB, patch)
2012-12-02 14:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-11-27 19:34:29 UTC
Created attachment 13708 [details]
Screenshot showing the desired behavior

When editing an item the table of all items should highlight the row containing the item being edited.
Comment 1 Owen Leonard 2012-11-27 19:38:28 UTC Comment hidden (obsolete)
Comment 2 Melia Meggs 2012-11-30 00:40:47 UTC Comment hidden (obsolete)
Comment 3 Melia Meggs 2012-11-30 00:42:25 UTC
After applying this patch, I can see that the row of the item I am editing is highlighted in yellow.  I like it!  Signing off.
Comment 4 Katrin Fischer 2012-12-02 14:13:53 UTC
Created attachment 13823 [details] [review]
[SIGNED-OFF] Bug 9154 - On item edit page, highlight row of item being edited

This patch changes the item edit page to add a highlighting
background color to the row in the table of all items corresponding
to the item being edited. Changes to JavaScript have been made
to allow row color changes on hover.

Other minor edits: Capitalization corrections.

Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
String changes, changes to JavaScript.
All tests pass.

Test plan:
1) 'Edit items' on a record with some items.
2) Check edited item is highlighted correctly in table above.
3) Add, edit, delete an item, should all work the same as before.
Comment 5 Jared Camins-Esakov 2012-12-02 14:15:41 UTC
This patch has been pushed to master.